/* General Rules */
#kv_form {
	-moz-box-sizing: border-box;
	box-sizing: border-box; 
	margin: 20px 0;
	padding:10px;
	font-size:16px;
	color: #585858;
	position: relative;
}

.kv_grid {display:grid;grid-template-columns:49% 49%;grid-column-gap: 2%;}

.kv-range {margin-bottom: 40px;}

.kv_slider {display:grid;grid-template-columns:7% 86% 7%;grid-column-gap: 0;position: relative;}

.output-pad	{display:grid;grid-template-columns:70% 30%;line-height: 25px;margin-bottom: 12px;}
.output-pad .output-label {color: #585858;font-size:21px;text-align: left;}
.output-pad .output-value {color: #585858;font-weight: 500;font-size:21px;text-align: right;}

.kv_slider svg {fill:#0041ff;cursor: pointer;}
.kv_slider div.plus {text-align:right;}

.circle-control {touch-action: none;}

/* Sliders */
.kv,
.kv__fill,
input[type=range] {
	background: #e6e6e6;display: block;
	box-sizing: border-box;
	border-radius: 3px;
}

.kv {
	position: relative;
	height: 6px;
	width: 100%;
	margin:9px 0;
}

.kv--disabled {
	filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=40);
	opacity: 0.4;
}

.kv__fill {
	height: 6px;
	width: 100%;
	background: #0041ff;
	position: absolute;
	top: 0;
}

.kv__handle {
	background: #fff;
	cursor: pointer;
	display: inline-block;
	border: 2px solid #0041ff;
	width: 21px;
	height:21px;
	position: absolute;
	top: -9px;
	border-radius: 50%;
	box-sizing: content-box !important;
}

/* Number of Offers */
.companys_matches {text-align:center; margin-bottom: 12px; color:#585858;}

/* Filters */
.kvfilters {background-color: #fff;text-align: left; width:100%;display:block;}
.kvfilters .filterboxlabel {display:none;cursor: pointer;}
.kvfilters .filterboxlabel svg {fill: #585858;vertical-align: text-bottom;}

.kvfilters .filterbox {white-space: normal;display: block;margin: 0;text-align: left;}

#kv_form .showfilters {display:block;}

#kv_form .filtergrid {display: inline-block;box-sizing: border-box;border-radius:12px;padding:0;margin:0;}
#kv_form .filterslabel {font-weight: 900;padding: 4px 0;}

#kv_form .filtergrid input[type=radio] {display: none;}
#kv_form .filtergrid input[type=radio]+label {margin: 0 6px 6px 0; cursor: pointer;-webkit-user-select: none;-moz-user-select: none;-ms-user-select: none;user-select: none;color:#343848;background-color: #fff;border:1px solid #4a94d0;border-radius: 8px; padding:4px 8px; line-height: 16px;white-space: nowrap;display: inline-block;}
#kv_form .filtergrid input[type=radio]:checked+label, #kv_form .filtergrid input[type="radio"]:hover + label {background-color: #8A8A8A;color:#ffffff;outline: 0;}

/* Company Box Rules */
.company_box {text-align: center; padding: 20px 20px;box-sizing: border-box;position: relative;background:#F8F8F8; margin-top: 20px;}

/* Ribbon */
/* .company_box .ribbon {position:absolute;top: -6px; left:-6px; border: 1px solid #0041ff;padding: 4px 10px;color:#0041ff;line-height: 16px;border-radius: 12px;background-color: #ffffff;display:inline-block;} */

.company_box .ribbon {position: absolute;top: -6.1px;right: 10px;}
.company_box .ribbon:after {position: absolute;content: "";width: 0;height: 0;margin-left: -100px;border-left: 100px solid transparent;border-right: 100px solid transparent;border-top: 8px solid #0BDA51;}
.company_box .ribbon span {position: relative;display: block;text-align: center;background: #0BDA51;color:#ffffff;font-size: 14px;line-height: 1;padding: 8px 8px 4px;border-top-right-radius: 8px;width: 200px;}
.company_box .ribbon span:before, .ribbon span:after {position: absolute;content: "";}
.company_box .ribbon span:before {height: 6px;width: 6px;left: -6px;top: 0;background: #0BDA51;}
.company_box .ribbon span:after {height: 6px;width: 8px;left: -8px;top: 0;border-radius: 8px 8px 0 0;background: #138808;}

/* Product Details */
.company_box .productdetails {text-align: left;font-size: 12px;margin: 2px 0;}
.company_box .productdetails .rating {display:inline-block;}

/* Top row */
.company_box .toprow.full {display:grid;grid-template-columns:14% 14% 14% 14% 14% 30%}
.company_box .toprow.mobile {display:none;text-align: center;}
.company_logo {text-align:left;}
.company_logo img {max-width: 120px !important;max-height: 50px !important;margin:0 !important;}

/* Middle row */
.company_box .midrow.full {display:grid;grid-template-columns:16.66% 66.67% 16.66%;text-align: center;}
.company_box .midrow.full .rating {text-align: left;}
.company_box .midrow.mobile{display:none;}
.company_box .midrow.mobile table{width:100%;text-align:left;}
.company_box .midrow.mobile table td {width:50%;padding: 6px 0;border-bottom: 1px solid #E7E7E7;}
.company_box .midrow.mobile table td:nth-child(1) {font-size:14px;}
.company_box .midrow.mobile table td:nth-child(2) {text-align: right;font-weight:900;}

/* Bottom row */
.company_box .lowrow.full {display:grid;grid-template-columns:70% 30%;margin: 0;}
.company_box .lowrow.mobile {display:none;}

.company_apply, .company_moremobile {line-height: 36px;}
.company_apply a ,.company_apply span {display:block;border: 1px solid #336699;background: #0041ff;font-weight:500;color: #FFF !important;text-decoration: none;}
.company_apply svg {fill: #FFF;vertical-align: text-bottom;}

.company_apply.mobile {display:none}

.company_details span.label {display:block;font-size:12px; color: #7990a5;}

/* Features */
.company_box .features {font-size: 12px;font-weight: 300;line-height:20px;}

/* More Info Link */
.readmore { color: #0041ff; text-decoration: none;margin: 0; border: 1px solid #336699;display:block;line-height: 36px;margin-top: 12px;}
.readmore a {text-decoration: none;color: #0041ff;cursor:pointer;}
.readmore svg {fill: #0041ff;vertical-align: text-bottom;}

.readup {display:none;}

/* Read More Link */
.company_links {text-align: center;font-weight: 500;padding: 16px 0;font-size:16px;}
.company_links a.applylink {text-decoration: none;color:#004183;}

/* Read More Content */
.company_box .drop {display: none;}
.company_box .dropgrid {display:grid;grid-template-columns:28% 28% 40%; grid-column-gap: 2%; word-wrap: break-word; white-space: pre-wrap;}
.company_box .dropgrid .info_block {font-size: 13px}
.company_box .dropgrid table {width:100%;border-collapse: collapse;display:table;margin-bottom: 12px;border-top: 1px solid #cccccc;margin-top: 12px}
.company_box .dropgrid table tr {border: none;}
.company_box .dropgrid table td {border-bottom: 1px solid #cccccc;}
.company_box .dropgrid tr:nth-child(even) {background-color: #f2f2f2;}
.company_box .dropgrid .second td:nth-child(2) { text-align: end; }
.company_box .dropgrid .third td:nth-child(1) { width:40%; }
.company_box .dropgrid .info_block td {padding: 8px 0;outline: none!important;}

.company_box .dropgrid .info_block h6 {margin-bottom: 0;font-size:16px;}
.company_box .dropgrid .info_block.first td svg {margin-right: 6px;}
.company_box .dropgrid .info_block .company_apply a {text-align: center;font-size: 16px;}

/* Company Page Link*/
.reviews {text-align: right;margin-top: 6px;}
.reviews a { color: #0041ff; text-decoration: none;text-align: right;}
.reviews svg { fill: #0041ff;vertical-align: text-bottom;}

/* Bank Box Read More Content */
.company_box .drop { display: none; margin-top: 12px;text-align: left;}

/* Example */
.example {font-size: 12px;color: #7990a5;}

/* Offers */
.no-offers {display:none;}

/* Show More */
#lc_show_more{text-align:center;cursor:pointer;margin:15px auto 15px auto;}

/*inputs*/
#kv_form input[type=button] {
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
}

.company_box .rating svg	{padding: 1px;fill: #0041ff;vertical-align:middle;}
.company_box .features svg {fill: #2E2787;vertical-align:middle;}

/* Single Tables */
#kvtables .info_block {}
#kvtables table {width:100%;border-collapse: collapse;display:table;margin-bottom: 12px;border-top: 1px solid #cccccc;margin-top: 12px}
#kvtables table tr {border: none;}
#kvtables table td {border-bottom: 1px solid #cccccc;padding: 8px 0;outline: none!important;}
#kvtables tr:nth-child(even) {background-color: #f2f2f2;}
#kvtables td:nth-child(2) { text-align: end; }
#kvtables td:nth-child(1) { width:40%; }

#kvtables .info_block h2 {margin-top: 20px;}
#kvtables .info_block h6 {margin-bottom: 0;font-size:16px;}
#kvtables .info_block.first td svg {margin-right: 6px;}


/* 600px wide screens */
@media only screen and (max-width: 600px) {

	.kv_rates {margin-top: 10px;}
	.kv_grid {display:block;}
	.company_box .features {margin-bottom: 12px;}
	.company_box .toprow.full, .company_box .midrow.full, .company_box .lowrow.full, .company_apply.desktop {display:none}
	.company_box .toprow.mobile {display: block;}
	.company_box .midrow.mobile{display: block;margin-bottom: 12px;}
	.company_box .lowrow.mobile {display:grid;grid-template-columns:49% 49%;grid-column-gap: 2%;margin-bottom: 12px;}
	.company_logo, .company_box .productdetails, .company_box .features {text-align:center;}
	.company_box .productdetails, .company_box .rating {display:inline-block;margin: 0 4px;}
	.company_details:first-of-type {text-align: left;}
	.company_details:last-of-type {text-align: right;}
	.company_apply.mobile {display:block;margin: 16px 0;}
	.readmore {margin-top: 0;}
	.company_box .dropgrid {display:block;}
	.company_box .dropgrid table {margin-bottom: 20px;}
	.reviews {text-align: left;}
	
	.filterbox span {display:none;}
	
	.company_apply .desktop {display:none;}
	
	#kv_form .features {margin-top:12px;}
}